package sprzedaz;

import java.util.List;

import javax.swing.JOptionPane;

public class SumaJednegoMiasta_Funkcyjnie3 {
    // Użytkownik wprowadza nazwę miasta, a program oblicza sumę wartości transacji z tego miasta.
    // W tej wersji stosujemy strumienie i podejście "funkcyjne".
    
    public static void main(String[] args) {
        String miasto = JOptionPane.showInputDialog("Podaj miasto:");
        List<Transakcja> transakcje = ObslugaCsvTransakcji.wczytaj();
        
        double suma = transakcje.stream()
                .filter(tr -> tr.miasto().equalsIgnoreCase(miasto))
                .mapToDouble(Transakcja::wartoscDouble)
                .sum();
        
        JOptionPane.showMessageDialog(null, "Suma: " + suma);
    }

}
